#include "stdafx.h"
#include "Disciplina.h"

Disciplina::Disciplina(int i, int na, char* ac):
ObjLAlunos(na, ac)
{ 
	id = i;
    DeptoAssociado		= NULL;  
 
    strcpy (area_conhecimento, ac ); 
}

Disciplina::~Disciplina()
{ 
   DeptoAssociado  = NULL;
}

void  Disciplina::setId ( int i ) 		
{ 
	id = i; 	
}

int   Disciplina::getId ( )  		
{  
	return id;  	
}

void  Disciplina::setNome(char* n)  	
{  
	strcpy(nome, n);  
}

char* Disciplina::getNome()
{  
	return nome;  
}

void Disciplina::setDepartamento(Departamento* d)
{
  // Cada vez que um Departamento  associado a uma Disciplina,
  // esta Disciplina passa a fazer parte da lista de disciplina 
  // do Departamento, por meio do comando abaixo.
  DeptoAssociado = d;
  DeptoAssociado->setDisciplina ( this );
}

Departamento* Disciplina::getDepartamento ( )
{
  return  DeptoAssociado;
}


void Disciplina::incluaAluno ( Aluno* pa )
{
    ObjLAlunos.incluaAluno(pa);
}

void Disciplina::listeAlunos()
{
    ObjLAlunos.listeAlunos();
}

void Disciplina::listeAlunos2()
{
    ObjLAlunos.listeAlunos2();
}
